Get a Project Role
curl --request GET \
--url https://api.virtuoussoftware.com/api/ProjectRole/{projectRoleId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/ProjectRole/{projectRoleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ProjectRole/{projectRoleId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ProjectRole/{projectRoleId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/ProjectRole/{projectRoleId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 880010,
"contactId": 100456,
"contactName": "Priya Sharma",
"projectDesignationId": 3012,
"projectDesignationName": "Year-End 2025 — Holiday Meals",
"projectRoleTypeId": 10,
"projectRoleType": "Volunteer Coordinator",
"createDateTimeUtc": "2025-10-01T09:00:00Z",
"createdByUser": "Program Team",
"modifiedDateTimeUtc": "2025-10-01T09:00:00Z",
"modifiedByUser": "Program Team"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Project Roles
Get a Project Role
GET
/
api
/
ProjectRole
/
{projectRoleId}
Get a Project Role
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The project role identifier.
Response
OK
The unique identifier of the record in Virtuous.
The identifier of the contact this record belongs to.
The display name of the related contact.
The UTC date and time the record was created.
The name of the user who created the record.
The UTC date and time the record was last modified.
The name of the user who last modified the record.
Last modified on July 24, 2026
Was this page helpful?
⌘I